Subject: [Gen-art] review of draft-ietf-mip6-experimental-messages-01.txt

From: Francis Dupont <[email-masked]>
Date: Wed, 05 Sep 2007 14:35:39 +0200

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-mip6-experimental-messages-01.txt
Reviewer: Francis Dupont
Review Date:  2007-09-04
IETF LC End Date: 2007-09-12
IESG Telechat date: unknown

Summary: Ready

Comments: some editorial questions:
 - in abstract page 1: s/header/Header/
   BTW as MH is the common abbrev Mobility Header should always get the 'H'.
   This is not clear for Mobility Option but a choice has to be done and
   applied...
 - ToC and section 7: s/Acknowledgements/Acknowledgments/
 - section 1 page 3: s/Proxy MIPv6/Proxy Mobile IPv6/
 - the figure in page 3 seems a bit strange because some important and
   decribed fields are not in it. I believe it is directly from RFC 3775
   section 6.1 "Mobility Header" which gives only the content of messages,
   so IMHO this section needs an explicit reference to RFC 3775 6.1.

Regards

[email-masked]

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 10 Sep 2007 15:12:03 -0700

Hi Francis,

Thanks for the review.

>    This is not clear for Mobility Option but a choice has to be done and

Fixed.

>  - ToC and section 7: s/Acknowledgements/Acknowledgments/

Why? Both are valid. FWIW, RFC 3775 uses "Acknowledgement". :)

>  - section 1 page 3: s/Proxy MIPv6/Proxy Mobile IPv6/

Ok.

>    so IMHO this section needs an explicit reference to RFC 3775 6.1.

Added a sentence in section 3.

    The fields described in the message format below follow the Mobility
    Header fields as defined in Section 6.1 of RFC 3775 [2].

Vijay